#define POP_TYPE 0;

typedef struct {
  char *crypt_pass,*username,*server,*passwd;
  int fd,state,nb_msg,last_nb_msg;
  double time;
} PopInfo;

typedef struct {
  int type,nb_pop;
  FontInfo *font;
  int color[8]; /* 6: x ; 7: y */
  ImlibImage *new_mail,*error_mail,*current_im;
  Background new_bg,error_bg;
  PopInfo *pop_info;
  char *command;
} PopData;

void saveMailGadget(FILE* out,Gadget *gad);
double updateMailGadget(Gadget *gad,int *nfd,fd_set *fdset,int force);
void freeMailGadget(Gadget *gad);
char *tooltipMailGadget(Gadget *gad);
void enteredMailGadget(Gadget *gad);
void leftMailGadget(Gadget *gad);
int calledMailGadget(Gadget *gad,fd_set *fdset);
void addMailFD(Gadget *gad,int *nfd,fd_set *fdset);
