/* clock gadget
 *
 * part of FancyLauncher
 * license: GPL
 * author: Alexandre David
 * e-mail: adavid@docs.uu.se
 * http://www.docs.uu.se/~adavid
 */

#ifndef CLOCK_H
#define CLOCK_H

typedef struct {
  FontInfo *font;
  int color[8]; /* 6: x ; 7: y */
  char *format;
} ClockLabel;

typedef struct {
  int n;
  ClockLabel *label;
} ClockData;

void saveClockGadget(FILE* out,Gadget *gad);
double updateClockGadget(Gadget *gad,int *nfd,fd_set *fdset,int force);
void freeClockGadget(Gadget *gad);
char *tooltipClockGadget(Gadget *gad);
void enteredClockGadget(Gadget *gad);
void leftClockGadget(Gadget *gad);

#endif
