/* config.h
 *
 * Part of FancyLauncher
 * author: Alexandre David
 * e-mail: adavid@docs.uu.se
 * license: GPL
 */

#ifndef LOAD_SAVE_H
#define LOAD_SAVE_H

#define CONFIGPATH ".FancyLauncher"
#define CONFIGFILE "config"


/* parse the configuration file
 * and build internal structures
 */
void configParse();


/* save the buttons
 */
void saveButtons();


/* print the buttons to a stream
 */
void printButtons(FILE *out);


/* initialize the configuration file name
 */
void initConfigFile(char *otherConfig);

void code_passwd(char *key,char *passwd);
void decode_passwd(char *key,char *passwd);

void print_background(FILE *out,char *name,Background bg);

#endif /* LOAD_SAVE_H */









